diff --git a/src/main/java/net/minecraft/client/gui/GuiIngame.java b/src/main/java/net/minecraft/client/gui/GuiIngame.java
index 5de98c011..6ee1f3c48 100644
--- a/src/main/java/net/minecraft/client/gui/GuiIngame.java
+++ b/src/main/java/net/minecraft/client/gui/GuiIngame.java
@@ -6,12 +6,12 @@ import net.minecraft.client.gui.hud.HudComponent;
 import net.minecraft.client.gui.hud.HudComponents;
 import net.minecraft.client.render.FontRenderer;
 import net.minecraft.client.render.Lighting;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.client.render.dynamictexture.DynamicTexture;
 import net.minecraft.client.render.entity.ItemEntityRenderer;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
 import net.minecraft.client.render.stitcher.IconCoordinate;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.tag.BlockTags;
@@ -454,7 +454,7 @@ public class GuiIngame extends Gui
                 {
                     int x = 2 + sp;
                     int y = height - sp - 64 + i * 16;
-                    ItemModelDispatcher.getInstance().getDispatch(stack).renderItemIntoGui(TessellatorStandard.instance, fontrenderer, mc.renderEngine, stack, x, y, 1.0f);
+                    ItemModelDispatcher.getInstance().getDispatch(stack).renderItemIntoGui(Tessellator.instance, fontrenderer, mc.renderEngine, stack, x, y, 1.0f);
 
                     if (stack.isItemStackDamageable())
                     {
@@ -521,7 +521,7 @@ public class GuiIngame extends Gui
                     GL11.glDisable(3042 /* GL_BLEND */);
                     GL11.glEnable(32826 /* GL_RESCALE_NORMAL_EXT */);
                     Lighting.enableInventoryLight();
-                    ItemModelDispatcher.getInstance().getDispatch(heldItemStack).renderItemIntoGui(TessellatorStandard.instance, fontrenderer, mc.renderEngine, heldItemStack, x, y, 1.0f);
+                    ItemModelDispatcher.getInstance().getDispatch(heldItemStack).renderItemIntoGui(Tessellator.instance, fontrenderer, mc.renderEngine, heldItemStack, x, y, 1.0f);
                     Lighting.disable();
                 }
             }
@@ -540,7 +540,7 @@ public class GuiIngame extends Gui
 
         // Adding this mostly to see if the stitcher and dynamic textures are working properly
         if (Keyboard.isKeyDown(Keyboard.KEY_F6) && mc.theWorld.getLevelData().getCheatsEnabled()){
-            TessellatorStandard tessellator = TessellatorStandard.instance;
+            Tessellator tessellator = Tessellator.instance;
 
             TextureRegistry.blockAtlas.bindTexture();
             
@@ -605,7 +605,7 @@ public class GuiIngame extends Gui
 
         glDisable(GL_TEXTURE_2D);
         glColor4d(0.2, 0.2, 0.2, 0.6);
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
 
         tessellator.startDrawingQuads();
         tessellator.drawRectangle(x - 1, y - 1, width + 2, height);
@@ -832,7 +832,7 @@ public class GuiIngame extends Gui
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         GL11.glDisable(3008 /* GL_ALPHA_TEST */);
         GL11.glBindTexture(3553 /* GL_TEXTURE_2D */, mc.renderEngine.getTexture("%blur%/misc/pumpkinblur.png"));
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(0.0D, ySize, -90D, 0.0D, 1.0D);
         tessellator.addVertexWithUV(xSize, ySize, -90D, 1.0D, 1.0D);
@@ -854,7 +854,7 @@ public class GuiIngame extends Gui
         GL11.glBlendFunc(0, 769);
         GL11.glColor4f(prevVignetteBrightness, prevVignetteBrightness, prevVignetteBrightness, 1.0F);
         GL11.glBindTexture(3553 /* GL_TEXTURE_2D */, mc.renderEngine.getTexture("%blur%/misc/vignette.png"));
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(0.0D, ySize, -90D, 0.0D, 1.0D);
         tessellator.addVertexWithUV(xSize, ySize, -90D, 1.0D, 1.0D);
@@ -886,7 +886,7 @@ public class GuiIngame extends Gui
         float f2 = (float) portal.getIconVMin();
         float f3 = (float) portal.getIconUMax();
         float f4 = (float) portal.getIconVMax();
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(0.0D, ySize, -90D, f1, f4);
         tessellator.addVertexWithUV(xSize, ySize, -90D, f3, f4);
diff --git a/src/main/java/net/minecraft/client/gui/GuiInventory.java b/src/main/java/net/minecraft/client/gui/GuiInventory.java
index f4924e723..74249ed7c 100644
--- a/src/main/java/net/minecraft/client/gui/GuiInventory.java
+++ b/src/main/java/net/minecraft/client/gui/GuiInventory.java
@@ -7,7 +7,6 @@ import java.util.List;
 
 import net.minecraft.client.gui.options.GuiOptionButton;
 import net.minecraft.client.input.controller.ControllerInput;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.core.achievement.AchievementList;
 import net.minecraft.core.entity.player.EntityPlayer;
 import net.minecraft.core.lang.I18n;
@@ -16,6 +15,7 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.client.option.GameSettings;
 import net.minecraft.core.player.gamemode.Gamemode;
 import net.minecraft.client.render.Lighting;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.EntityRenderDispatcher;
 import org.lwjgl.opengl.GL11;
 
@@ -287,7 +287,7 @@ public class GuiInventory extends GuiContainer
         mc.thePlayer.entityBrightness = 1.0F;
         GL11.glTranslatef(0.0F, mc.thePlayer.heightOffset, 0.0F);
         EntityRenderDispatcher.instance.viewLerpYaw = 180F;
-        EntityRenderDispatcher.instance.renderEntityWithPosYaw(TessellatorStandard.instance, mc.thePlayer, 0.0D, 0.0D, 0.0D, 0.0F, 1.0F);
+        EntityRenderDispatcher.instance.renderEntityWithPosYaw(Tessellator.instance, mc.thePlayer, 0.0D, 0.0D, 0.0D, 0.0F, 1.0F);
         mc.thePlayer.entityBrightness = 0.0F;
         mc.thePlayer.renderYawOffset = f2;
         mc.thePlayer.yRot = f3;
diff --git a/src/main/java/net/minecraft/client/gui/GuiInventoryCreative.java b/src/main/java/net/minecraft/client/gui/GuiInventoryCreative.java
index 417a77347..fd1981910 100644
--- a/src/main/java/net/minecraft/client/gui/GuiInventoryCreative.java
+++ b/src/main/java/net/minecraft/client/gui/GuiInventoryCreative.java
@@ -1,13 +1,13 @@
 package net.minecraft.client.gui;
 
 import net.minecraft.client.input.controller.ControllerInput;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.core.InventoryAction;
 import net.minecraft.core.entity.player.EntityPlayer;
 import net.minecraft.client.gui.options.GuiOptionsButton;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.inventory.ContainerPlayerCreative;
 import net.minecraft.client.render.Lighting;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.EntityRenderDispatcher;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.input.Mouse;
@@ -204,7 +204,7 @@ public class GuiInventoryCreative extends GuiInventory implements ITextChangeLis
         mc.thePlayer.entityBrightness = 1.0F;
         GL11.glTranslatef(0.0F, mc.thePlayer.heightOffset, 0.0F);
         EntityRenderDispatcher.instance.viewLerpYaw = 180F;
-        EntityRenderDispatcher.instance.renderEntityWithPosYaw(TessellatorStandard.instance, mc.thePlayer, 0.0D, 0.0D, 0.0D, 0.0F, 1.0F);
+        EntityRenderDispatcher.instance.renderEntityWithPosYaw(Tessellator.instance, mc.thePlayer, 0.0D, 0.0D, 0.0D, 0.0F, 1.0F);
         mc.thePlayer.entityBrightness = 0.0F;
         mc.thePlayer.renderYawOffset = f2;
         mc.thePlayer.yRot = f3;
diff --git a/src/main/java/net/minecraft/client/gui/GuiMainMenu.java b/src/main/java/net/minecraft/client/gui/GuiMainMenu.java
index c3e197dc1..472d5c789 100644
--- a/src/main/java/net/minecraft/client/gui/GuiMainMenu.java
+++ b/src/main/java/net/minecraft/client/gui/GuiMainMenu.java
@@ -17,7 +17,7 @@ import javax.imageio.ImageIO;
 
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
 import net.minecraft.client.render.stitcher.TextureRegistry;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.opengl.GL11;
@@ -312,7 +312,7 @@ public class GuiMainMenu extends GuiScreen
     {
         I18n i18n = I18n.getInstance();
         drawDefaultBackground();
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         char c = '\u0112';
         int k = width / 2 - c / 2;
         byte byte0 = 30;
@@ -434,7 +434,7 @@ public class GuiMainMenu extends GuiScreen
 
                         GL11.glTranslatef((float)var7, (float)var6, var10);
                         GL11.glScalef(var11, var11, var11);
-                        var5.renderBlockAsItem(TessellatorStandard.instance, BlockModelDispatcher.getInstance().getDispatch(BLOCKS_TO_DRAW[indexToDraw]), BLOCKS_TO_DRAW[indexToDraw], var12);
+                        var5.renderBlockAsItem(Tessellator.instance, BlockModelDispatcher.getInstance().getDispatch(BLOCKS_TO_DRAW[indexToDraw]), BLOCKS_TO_DRAW[indexToDraw], var12);
                         GL11.glPopMatrix();
                     }
                 }
diff --git a/src/main/java/net/minecraft/client/gui/GuiMissingMinecraft.java b/src/main/java/net/minecraft/client/gui/GuiMissingMinecraft.java
index 2e8f3621e..5b2ec3577 100644
--- a/src/main/java/net/minecraft/client/gui/GuiMissingMinecraft.java
+++ b/src/main/java/net/minecraft/client/gui/GuiMissingMinecraft.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.gui;
 
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.util.helper.MathHelper;
 import org.lwjgl.opengl.GL11;
@@ -77,7 +77,7 @@ public class GuiMissingMinecraft extends GuiScreen{
         GL11.glDisable(2896 /*GL_LIGHTING*/);
         GL11.glDisable(2912 /*GL_FOG*/);
 
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, mc.renderEngine.getTexture("/assets/minecraft/textures/block/netherrack_mossy.png"));
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         GL11.glEnable(GL11.GL_BLEND);
diff --git a/src/main/java/net/minecraft/client/gui/GuiPaintingPicker.java b/src/main/java/net/minecraft/client/gui/GuiPaintingPicker.java
index 6a2a46539..5e537ec2f 100644
--- a/src/main/java/net/minecraft/client/gui/GuiPaintingPicker.java
+++ b/src/main/java/net/minecraft/client/gui/GuiPaintingPicker.java
@@ -2,7 +2,7 @@ package net.minecraft.client.gui;
 
 import net.minecraft.client.render.stitcher.IconCoordinate;
 import net.minecraft.client.render.stitcher.TextureRegistry;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.player.EntityPlayer;
 import net.minecraft.core.enums.ArtType;
 import org.lwjgl.input.Mouse;
@@ -163,7 +163,7 @@ public class GuiPaintingPicker
     public void drawTexturedIconPainting(int x, int y, int width, int height, IconCoordinate coordinate, float alpha)
     {
         coordinate.parentAtlas.bindTexture();
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         GL11.glColor4f(1f, 1f, 1f, alpha);
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(x + 0,      y + height, zLevel, coordinate.getIconUMin(), coordinate.getIconVMax());
diff --git a/src/main/java/net/minecraft/client/gui/GuiRenderItem.java b/src/main/java/net/minecraft/client/gui/GuiRenderItem.java
index 2852c1d78..08ff625c1 100644
--- a/src/main/java/net/minecraft/client/gui/GuiRenderItem.java
+++ b/src/main/java/net/minecraft/client/gui/GuiRenderItem.java
@@ -6,9 +6,9 @@ import net.minecraft.client.render.Lighting;
 import net.minecraft.client.render.block.model.BlockModel;
 import net.minecraft.client.render.item.model.ItemModel;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.client.render.stitcher.IconCoordinate;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.WeightedRandomBag;
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryTrommel;
@@ -58,7 +58,7 @@ public class GuiRenderItem extends Gui
             if (itemStack != null){
                 BlockModel.setRenderBlocks(EntityRenderDispatcher.instance.itemRenderer.renderBlocksInstance);
                 ItemModel itemModel = ItemModelDispatcher.getInstance().getDispatch(itemStack.getItem());
-                itemModel.renderItemIntoGui(TessellatorStandard.instance, mc.fontRenderer, mc.renderEngine, itemStack, x, y, discovered ? 1.0f : 0.0f, 1.0f);
+                itemModel.renderItemIntoGui(Tessellator.instance, mc.fontRenderer, mc.renderEngine, itemStack, x, y, discovered ? 1.0f : 0.0f, 1.0f);
                 if(slot instanceof SlotGuidebook){
                     if(((SlotGuidebook) slot).recipe instanceof RecipeEntryTrommel && ((SlotGuidebook) slot).item != null && ((SlotGuidebook) slot).isOutput){
                         WeightedRandomBag<WeightedRandomLootObject> loot = ((RecipeEntryTrommel)((SlotGuidebook) slot).recipe).getOutput();
@@ -73,12 +73,12 @@ public class GuiRenderItem extends Gui
                         } else {
                             s = String.valueOf(lootObject.getFixedYield());
                         }
-                        itemModel.renderItemOverlayIntoGUI(TessellatorStandard.instance, mc.fontRenderer, mc.renderEngine, itemStack, x, y, discovered ? s : "?", 1.0f);
+                        itemModel.renderItemOverlayIntoGUI(Tessellator.instance, mc.fontRenderer, mc.renderEngine, itemStack, x, y, discovered ? s : "?", 1.0f);
                     } else {
-                        itemModel.renderItemOverlayIntoGUI(TessellatorStandard.instance, mc.fontRenderer, mc.renderEngine, itemStack, x, y, discovered ? null : "?", 1.0f);
+                        itemModel.renderItemOverlayIntoGUI(Tessellator.instance, mc.fontRenderer, mc.renderEngine, itemStack, x, y, discovered ? null : "?", 1.0f);
                     }
                 } else {
-                    itemModel.renderItemOverlayIntoGUI(TessellatorStandard.instance, mc.fontRenderer, mc.renderEngine, itemStack, x, y, discovered ? null : "?", 1.0f);
+                    itemModel.renderItemOverlayIntoGUI(Tessellator.instance, mc.fontRenderer, mc.renderEngine, itemStack, x, y, discovered ? null : "?", 1.0f);
                 }
             }
             GL11.glDisable(GL11.GL_DEPTH_TEST);
diff --git a/src/main/java/net/minecraft/client/gui/GuiScreen.java b/src/main/java/net/minecraft/client/gui/GuiScreen.java
index 5dcbbab5f..2a8644ba0 100644
--- a/src/main/java/net/minecraft/client/gui/GuiScreen.java
+++ b/src/main/java/net/minecraft/client/gui/GuiScreen.java
@@ -6,7 +6,7 @@ import java.util.ArrayList;
 import java.util.List;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.FontRenderer;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.util.debug.DebugRender;
 import net.minecraft.client.input.InputType;
 
@@ -182,7 +182,7 @@ public class GuiScreen extends Gui
     {
         GL11.glDisable(2896 /*GL_LIGHTING*/);
         GL11.glDisable(2912 /*GL_FOG*/);
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/background.png"));
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         float f = 32F;
diff --git a/src/main/java/net/minecraft/client/gui/GuiSelectServer.java b/src/main/java/net/minecraft/client/gui/GuiSelectServer.java
index 753d91a59..d360f3b1e 100644
--- a/src/main/java/net/minecraft/client/gui/GuiSelectServer.java
+++ b/src/main/java/net/minecraft/client/gui/GuiSelectServer.java
@@ -3,7 +3,7 @@ package net.minecraft.client.gui;
 import net.minecraft.client.gui.popup.GuiPopup;
 import net.minecraft.client.gui.popup.PopupBuilder;
 import net.minecraft.client.net.thread.ThreadPingServer;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.Global;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.SavedServerList;
@@ -264,7 +264,7 @@ public class GuiSelectServer extends GuiScreen {
 		}
 
 		@Override
-		protected void renderItem(int index, int x, int y, int height, TessellatorStandard tessellator) {
+		protected void renderItem(int index, int x, int y, int height, Tessellator tessellator) {
 			ServerData server = savedServerList.servers.get(index);
 			String line1 = server.nickname;
 			String line2 = server.address;
diff --git a/src/main/java/net/minecraft/client/gui/GuiStats.java b/src/main/java/net/minecraft/client/gui/GuiStats.java
index 8008afb06..e171f1e5e 100644
--- a/src/main/java/net/minecraft/client/gui/GuiStats.java
+++ b/src/main/java/net/minecraft/client/gui/GuiStats.java
@@ -1,8 +1,8 @@
 package net.minecraft.client.gui;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.achievement.stat.*;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.item.Item;
@@ -102,7 +102,7 @@ public class GuiStats extends GuiScreen
         GL11.glEnable(32826 /*GL_RESCALE_NORMAL_EXT*/);
         Lighting.enableInventoryLight();
         Item item = Item.itemsList[k];
-        ItemModelDispatcher.getInstance().getDispatch(item).renderItemIntoGui(TessellatorStandard.instance, fontRenderer, mc.renderEngine, item.getDefaultStack(), i + 2, j + 2, 1F);
+        ItemModelDispatcher.getInstance().getDispatch(item).renderItemIntoGui(Tessellator.instance, fontRenderer, mc.renderEngine, item.getDefaultStack(), i + 2, j + 2, 1F);
         Lighting.disable();
         GL11.glDisable(32826 /*GL_RESCALE_NORMAL_EXT*/);
     }
@@ -117,7 +117,7 @@ public class GuiStats extends GuiScreen
         int i1 = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/slot.png");
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         mc.renderEngine.bindTexture(i1);
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
         tessellator.addVertexWithUV(i + 0, j + 18, zLevel, (float)(k + 0) * 0.0078125F, (float)(l + 18) * 0.0078125F);
         tessellator.addVertexWithUV(i + 18, j + 18, zLevel, (float)(k + 18) * 0.0078125F, (float)(l + 18) * 0.0078125F);
@@ -257,7 +257,7 @@ public class GuiStats extends GuiScreen
         }
 
         @Override
-        protected void renderHeader(int x, int y, TessellatorStandard tessellator)
+        protected void renderHeader(int x, int y, Tessellator tessellator)
         {
             if(!Mouse.isButtonDown(0))
             {
@@ -476,7 +476,7 @@ public class GuiStats extends GuiScreen
         }
 
         @Override
-        protected void renderItem(int index, int x, int y, int height, TessellatorStandard tessellator)
+        protected void renderItem(int index, int x, int y, int height, Tessellator tessellator)
         {
             Stat statbase = (Stat)StatList.statList2.get(index);
             drawString(fontRenderer, statbase.getStatName(), x + 2, y + 1, index % 2 != 0 ? 0x909090 : 0xffffff);
@@ -560,7 +560,7 @@ public class GuiStats extends GuiScreen
         }
 
         @Override
-        protected void renderHeader(int x, int y, TessellatorStandard tessellator)
+        protected void renderHeader(int x, int y, Tessellator tessellator)
         {
             super.renderHeader(x, y, tessellator);
             if(field_27268_b == 0)
@@ -587,7 +587,7 @@ public class GuiStats extends GuiScreen
         }
 
         @Override
-        protected void renderItem(int index, int x, int y, int height, TessellatorStandard tessellator)
+        protected void renderItem(int index, int x, int y, int height, Tessellator tessellator)
         {
             StatItem statcrafting = func_27264_b(index);
             int i1 = statcrafting.getItemID();
@@ -690,7 +690,7 @@ public class GuiStats extends GuiScreen
         }
 
         @Override
-        protected void renderHeader(int x, int y, TessellatorStandard tessellator)
+        protected void renderHeader(int x, int y, Tessellator tessellator)
         {
             super.renderHeader(x, y, tessellator);
             if(field_27268_b == 0)
@@ -717,7 +717,7 @@ public class GuiStats extends GuiScreen
         }
 
         @Override
-        protected void renderItem(int index, int x, int y, int height, TessellatorStandard tessellator)
+        protected void renderItem(int index, int x, int y, int height, Tessellator tessellator)
         {
             StatItem statcrafting = func_27264_b(index);
             int i1 = statcrafting.getItemID();
diff --git a/src/main/java/net/minecraft/client/gui/GuiTooltip.java b/src/main/java/net/minecraft/client/gui/GuiTooltip.java
index 6a93bb25e..27975a72b 100644
--- a/src/main/java/net/minecraft/client/gui/GuiTooltip.java
+++ b/src/main/java/net/minecraft/client/gui/GuiTooltip.java
@@ -1,13 +1,13 @@
 package net.minecraft.client.gui;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.core.WeightedRandomBag;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryTrommel;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.client.option.enums.TooltipStyle;
 import net.minecraft.client.render.FontRenderer;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.player.inventory.slot.Slot;
 import net.minecraft.core.player.inventory.slot.SlotCrafting;
 import net.minecraft.core.lang.I18n;
@@ -90,7 +90,7 @@ public class GuiTooltip extends Gui
         int horWidth2 = (maxX - minX) - 6;
         int vertHeight2 = (maxY - minY) - 6;
 
-        TessellatorStandard tl = TessellatorStandard.instance;
+        Tessellator tl = Tessellator.instance;
 
         mc.renderEngine.bindTexture(mc.renderEngine.getTexture(mc.gameSettings.tooltipStyle.value.getFilePath()));
 
diff --git a/src/main/java/net/minecraft/client/gui/GuiWorldSlot.java b/src/main/java/net/minecraft/client/gui/GuiWorldSlot.java
index 6f4a0271b..c3ff3ae56 100644
--- a/src/main/java/net/minecraft/client/gui/GuiWorldSlot.java
+++ b/src/main/java/net/minecraft/client/gui/GuiWorldSlot.java
@@ -2,9 +2,9 @@ package net.minecraft.client.gui;
 
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.util.helper.MathHelper;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.gamemode.Gamemode;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
 import net.minecraft.core.world.save.DimensionData;
 import net.minecraft.core.world.save.LevelData;
 import net.minecraft.core.world.save.SaveFile;
@@ -14,7 +14,7 @@ import java.util.Date;
 
 // Referenced classes of package net.minecraft.src:
 //            GuiSlot, GuiSelectWorld, GuiButton, SaveFormatComparator, 
-//            MathHelper, TessellatorStandard
+//            MathHelper, Tessellator
 
 class GuiWorldSlot extends ScrolledSelectionList
 {
@@ -65,7 +65,7 @@ class GuiWorldSlot extends ScrolledSelectionList
     }
 
     @Override
-	protected void renderItem(int index, int x, int y, int height, TessellatorStandard tessellator)
+	protected void renderItem(int index, int x, int y, int height, Tessellator tessellator)
     {
         I18n i18n = I18n.getInstance();
         SaveFile saveFile = GuiSelectWorld.getSaveList(parentWorldGui).get(index);
diff --git a/src/main/java/net/minecraft/client/gui/MainMenuBackground.java b/src/main/java/net/minecraft/client/gui/MainMenuBackground.java
index d49bb8460..0afa0d3eb 100644
--- a/src/main/java/net/minecraft/client/gui/MainMenuBackground.java
+++ b/src/main/java/net/minecraft/client/gui/MainMenuBackground.java
@@ -16,7 +16,7 @@ import com.b100.json.element.JsonObject;
 import net.minecraft.client.GLAllocation;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.OpenGLHelper;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.texturepack.TexturePack;
 import net.minecraft.client.render.texturepack.TexturePackException;
 import net.minecraft.client.util.helper.TexturePackJsonHelper;
@@ -158,7 +158,7 @@ public class MainMenuBackground {
 		float uborder = border / (float) background.width;
 		float vborder = border / (float) background.height;
 		
-		TessellatorStandard tessellator = TessellatorStandard.instance;
+		Tessellator tessellator = Tessellator.instance;
 		tessellator.startDrawingQuads();
 		tessellator.drawRectangleWithUV(x, y, w, h, uborder, vborder, 1.0 - uborder * 2.0f, 1.0 - vborder * 2.0f);
 		tessellator.draw();
diff --git a/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java b/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java
index 21aed2804..8312f28ec 100644
--- a/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java
+++ b/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java
@@ -1,7 +1,8 @@
 package net.minecraft.client.gui;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
+
 import org.lwjgl.input.Mouse;
 import org.lwjgl.opengl.GL11;
 
@@ -61,9 +62,9 @@ public abstract class ScrolledSelectionList {
 
     protected abstract void renderHoleBackground();
 
-    protected abstract void renderItem(int index, int x, int y, int height, TessellatorStandard tessellator);
+    protected abstract void renderItem(int index, int x, int y, int height, Tessellator tessellator);
 
-    protected void renderHeader(int x, int y, TessellatorStandard tessellator) {
+    protected void renderHeader(int x, int y, Tessellator tessellator) {
     }
 
     protected void clickedHeader(int x, int y) {
@@ -154,7 +155,7 @@ public abstract class ScrolledSelectionList {
         capYPosition();
         GL11.glDisable(2896 /*GL_LIGHTING*/);
         GL11.glDisable(2912 /*GL_FOG*/);
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, minecraft.renderEngine.getTexture("/assets/minecraft/textures/gui/background.png"));
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         float f1 = 32F;
@@ -266,7 +267,7 @@ public abstract class ScrolledSelectionList {
     }
 
     private void renderHoleBackground(int y0, int y1, int a0, int a1) {
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, minecraft.renderEngine.getTexture("/assets/minecraft/textures/gui/background.png"));
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         float f = 32F;
diff --git a/src/main/java/net/minecraft/client/gui/createworld/ButtonComponent.java b/src/main/java/net/minecraft/client/gui/createworld/ButtonComponent.java
index 54ea3feee..bf2fbb3a6 100644
--- a/src/main/java/net/minecraft/client/gui/createworld/ButtonComponent.java
+++ b/src/main/java/net/minecraft/client/gui/createworld/ButtonComponent.java
@@ -5,7 +5,7 @@ import net.minecraft.client.gui.GuiButton;
 import net.minecraft.client.gui.GuiTexturedButton;
 import net.minecraft.client.gui.paged.PageComponent;
 import net.minecraft.client.render.FontRenderer;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.sound.SoundCategory;
 import org.lwjgl.opengl.GL11;
@@ -105,7 +105,7 @@ public abstract class ButtonComponent
 
     protected void drawRect(int minX, int minY, int maxX, int maxY, int argb)
     {
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         GL11.glEnable(GL_BLEND);
         GL11.glDisable(GL_TEXTURE_2D);
         GL11.glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
diff --git a/src/main/java/net/minecraft/client/gui/createworld/TextFieldComponent.java b/src/main/java/net/minecraft/client/gui/createworld/TextFieldComponent.java
index 44e9c5f4b..8aff0bfd9 100644
--- a/src/main/java/net/minecraft/client/gui/createworld/TextFieldComponent.java
+++ b/src/main/java/net/minecraft/client/gui/createworld/TextFieldComponent.java
@@ -7,7 +7,7 @@ import net.minecraft.client.gui.GuiTexturedButton;
 import net.minecraft.client.gui.paged.CallbackComponent;
 import net.minecraft.client.gui.paged.OnValueChangedCallback;
 import net.minecraft.client.render.FontRenderer;
-import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.sound.SoundCategory;
 import org.lwjgl.input.Keyboard;
@@ -104,7 +104,7 @@ public class TextFieldComponent
 
     protected void drawRect(int minX, int minY, int maxX, int maxY, int argb)
     {
-        TessellatorStandard tessellator = TessellatorStandard.instance;
+        Tessellator tessellator = Tessellator.instance;
         GL11.glEnable(GL_BLEND);
         GL11.glDisable(GL_TEXTURE_2D);
         GL11.glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
